package config

import (
	oosc "git.loafle.net/overflow/overflow_server_config"
)

var Config GatewayConfig

type GatewayConfig struct {
	Server    *oosc.Server             `json:"server" yaml:"server" toml:"server"`
	Auth      *oosc.Auth               `json:"auth" yaml:"auth" toml:"auth"`
	Websocket *oosc.Websocket          `json:"websocket" yaml:"websocket" toml:"websocket"`
	GRPC      *oosc.GRPC               `json:"gRPC" yaml:"gRPC" toml:"gRPC"`
	Redis     *oosc.Redis              `json:"redis" yaml:"redis" toml:"redis"`
	Servlets  map[string]*oosc.Servlet `json:"servlets" yaml:"servlets" toml:"servlets"`
}
